Name:           pipviewer
Version:        0.3.9
Release:        16%{?dist}
Summary:        Visualizer for multiple alignments of genomic sequences

License:        GPLv3+
URL:            http://ygingras.net/bioinfo
Source0:        http://ygingras.net/files/%{name}-%{version}.tar.gz
Patch0:         %{name}-setup.patch
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       PyQt
Requires:       pygtk2
Requires:       PyOpenGL
Requires:       vhybridize >= 0.5.9

%description
Pipviewer is a visualizer for multiple alignements of genomic
sequences. It highlights conserved regions and allows basic
anotations. Its main goal is to find conserved probes for the
construction of gene order data sets.  Selected regions marked as
'probes' can be expoxted to fasta format. It can also retreive gene
annotations form the NBCI and display this information along the
alignement.

Pipviewer is not an aligner. You must compute the alignment with
another tool like Clustal or Multi PIP Maker. 

%prep
%setup -q

%build
python ./setup.py build

%install
python ./setup.py install --skip-build --root %{buildroot}
#remove shebang
for file in \
    %{buildroot}%{python_sitelib}/%{name}/{SpeciesGenomesDialog.py,utils.py,ProbesListDialog.py} \
    %{buildroot}%{python_sitelib}/%{name}/{probeAlign.py,ViewerWidget.py,viewer_app.py,pselfiles.py}   \
    %{buildroot}%{python_sitelib}/%{name}/scripts/pippacker.py; do
    sed -i -e '/^#!\//, 1d' $file
done
sed -i 's|OpenGL>=2.0|PyOpenGL>2.0|g' %{buildroot}%{python_sitelib}/pipviewer-0.3.9-py2.*.egg-info/requires.txt

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%doc AUTHORS.txt COPYING.txt README.txt TODO.txt docs/ examples/
%{_bindir}/%{name}
%{_bindir}/pippacker
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.9-14
- Spec file updated

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 26 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.9-9
- generalize 2.6 to 2.* in fixup of egg-info

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.9-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jun 19 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.9-7
- Fixed BZ # 579521

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Feb 28 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.9-5
- Merge Release 4 and #481508

* Fri Feb 27 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.9-4
- GUI stuff disabled because the application needs a file for the start 

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.9-2
- Fixed buildroot tag
- Changed license to GPLv3+

* Sat Jan 24 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.9-1
- Initial package for Fedora
